Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Class ContainerAsyncMonitorService

    java.lang.Object
      nextapp.echo2.webrender.service.AsyncMonitorService
          nextapp.echo2.webcontainer.ContainerAsyncMonitorService

All Implemented Interfaces:
  Service

    public class ContainerAsyncMonitorService

extends AsyncMonitorService

Web Container implementation of `AsyncMonitorService`. Determines if a given application instance requires immediate client-server synchronization by querying `ApplicationInstance.hasQueuedTasks()`.

Field Summary
`static Service` | `INSTANCE` Singleton instance.

Fields inherited from class nextapp.echo2.webrender.service.AsyncMonitorService
`SERVICE_ID`

Fields inherited from interface nextapp.echo2.webrender.Service
`DO_NOT_CACHE`

Constructor Summary
`ContainerAsyncMonitorService()`

Method Summary
`boolean` | `isSynchronizationRequired(UserInstance userInstance)` Determines if the specified `UserInstance` requires immediate synchronization.

Methods inherited from class nextapp.echo2.webrender.service.AsyncMonitorService
`getId, getVersion, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Service INSTANCE

  Singleton instance.

Constructor Detail

### ContainerAsyncMonitorService

    public ContainerAsyncMonitorService()

Method Detail

### isSynchronizationRequired

    public boolean isSynchronizationRequired(UserInstance userInstance)

  Description copied from class: `AsyncMonitorService`
  Determines if the specified `UserInstance` requires immediate synchronization.

  Specified by:
    `isSynchronizationRequired` in class `AsyncMonitorService`
  Parameters:
    `userInstance` - the `UserInstance`
  Returns:
    true if the `UserInstance` requires immediate client-server synchronization
  See Also:
    `AsyncMonitorService.isSynchronizationRequired( nextapp.echo2.webrender.UserInstance)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD